Index: src/sas/sasgui/guiframe/__init__.py
===================================================================
--- src/sas/sasgui/guiframe/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/__init__.py	(revision 5a405bda2da663894b6b32ab94768a91d60525a4)
@@ -14,5 +14,5 @@
     # Check for data path next to exe/zip file.
     # If we are inside a py2exe zip file, we need to go up
-    # to get to the directory containing 
+    # to get to the directory containing
     # the media for this module
     path = os.path.dirname(__file__)
@@ -27,5 +27,5 @@
                 return module_media_path
             return media_path
-   
+
     raise RuntimeError('Could not find guiframe images files')
 
@@ -40,5 +40,5 @@
     # Check for data path next to exe/zip file.
     # If we are inside a py2exe zip file, we need to go up
-    # to get to the directory containing 
+    # to get to the directory containing
     # the media for this module
     path = os.path.dirname(__file__)
@@ -58,5 +58,5 @@
     """
     Return the data files associated with guiframe images .
-    
+
     The format is a list of (directory, [files...]) pairs which can be
     used directly in setup(...,data_files=...) for setup.py.
@@ -64,10 +64,6 @@
     """
     data_files = []
-    path = get_data_path(media="images")
-    for f in findall(path):
-        data_files.append(('images/icons', [f]))
-    path = get_media_path(media="media")
-    for f in findall(path):
-        data_files.append(('media/guiframe_media', [f]))
+    data_files.append(('images/icons', findall(get_data_path("images"))))
+    data_files.append(('media/guiframe_media', findall(get_data_path("media"))))
 
     return data_files
Index: src/sas/sasgui/perspectives/calculator/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/__init__.py	(revision 5a405bda2da663894b6b32ab94768a91d60525a4)
@@ -18,5 +18,5 @@
     path = os.path.dirname(__file__)
     #Look for maximum n_dir up of the current dir to find media
-   
+
     #for i in range(n_dir):
     i = 0
@@ -30,5 +30,5 @@
              return media_path
         i += 1
-   
+
     raise RuntimeError('Could not find calculator media files')
 
@@ -36,5 +36,5 @@
     """
     Return the data files associated with media calculator.
-    
+
     The format is a list of (directory, [files...]) pairs which can be
     used directly in setup(...,data_files=...) for setup.py.
@@ -42,6 +42,4 @@
     """
     data_files = []
-    path = get_data_path(media="media")
-    for f in findall(path):
-        data_files.append(('media/calculator_media', [f]))
+    data_files.append(('media/calculator_media', findall(get_data_path("media"))))
     return data_files
Index: src/sas/sasgui/perspectives/fitting/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/fitting/__init__.py	(revision 5a405bda2da663894b6b32ab94768a91d60525a4)
@@ -13,5 +13,5 @@
     # Check for data path next to exe/zip file.
     # If we are inside a py2exe zip file, we need to go up
-    # to get to the directory containing 
+    # to get to the directory containing
     # the media for this module
     path = os.path.dirname(__file__)
@@ -26,5 +26,5 @@
                 return module_media_path
             return media_path
-   
+
     raise RuntimeError('Could not find models media files')
 
@@ -32,5 +32,5 @@
     """
     Return the data files associated with media.
-    
+
     The format is a list of (directory, [files...]) pairs which can be
     used directly in setup(...,data_files=...) for setup.py.
@@ -38,11 +38,7 @@
     """
     data_files = []
-    path = os.path.dirname(__file__)
-    p_path = os.path.join(path, 'plugin_models')
-    for f in findall(p_path):
-        data_files.append(('plugin_models', [f]))
-    # path = get_data_path(media="media")
-    for f in findall(path):
-        data_files.append(('media/fitting_media', [f]))
-    
+    # plugin_models = os.path.join(os.path.dirname(__file__), "plugin_models")
+    # data_files.append('plugin_models', findall(plugin_models)))
+    data_files.append(('media/fitting_media', findall(get_data_path("media"))))
+
     return data_files
Index: src/sas/sasgui/perspectives/invariant/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/__init__.py	(revision 5a405bda2da663894b6b32ab94768a91d60525a4)
@@ -15,5 +15,5 @@
     # Check for data path next to exe/zip file.
     # If we are inside a py2exe zip file, we need to go up
-    # to get to the directory containing 
+    # to get to the directory containing
     # the media for this module
     path = os.path.dirname(__file__)
@@ -28,5 +28,5 @@
                 return module_media_path
             return media_path
-   
+
     raise RuntimeError('Could not find invariant media files')
 
@@ -34,5 +34,5 @@
     """
     Return the data files associated with media invariant.
-    
+
     The format is a list of (directory, [files...]) pairs which can be
     used directly in setup(...,data_files=...) for setup.py.
@@ -40,6 +40,4 @@
     """
     data_files = []
-    path = get_data_path(media="media")
-    for f in findall(path):
-        data_files.append(('media/invariant_media', [f]))
+    data_files.append(('media/invariant_media', findall(get_data_path("media"))))
     return data_files
